org.eclipse.actf.visualization.engines.blind.html

## Interface IBlindProblem

All Superinterfaces:
  IProblemItem

    public interface IBlindProblem
    extends IProblemItem

Interface for detected problems through blind visualization.

### Field Summary

Fields
`static int` `ALERT_NO_DEST_INTRA_LINK`
`static int` `ALERT_NO_SKIPTOMAIN_NO_STRUCTURE`
`static int` `ALERT_REDUNDANT_TEXT`
`static int` `ALERT_SPELL_OUT`
`static int` `ALERT_WRONG_ALT`
`static int` `INVISIBLE_INTRAPAGE_LINK`
`static int` `LESS_STRUCTURE_WITH_BOTH`
`static int` `LESS_STRUCTURE_WITH_HEADING`
`static int` `LESS_STRUCTURE_WITH_SKIPLINK`
`static int` `NO_ALT_AREA`
`static int` `NO_ALT_IMG`
`static int` `NO_ALT_INPUT`
`static int` `NO_DEST_LINK`
`static int` `NO_DEST_SKIP_LINK`
`static int` `NO_ID_INPUT`
`static int` `NO_SKIPTOMAIN_LINK`
`static int` `NO_SKIPTOMAIN_WITH_STRUCTURE`
`static int` `NO_TEXT_INTRAPAGELINK`
`static int` `NO_TEXT_WITH_TITLE_INTRAPAGELINK`
`static int` `NO_VALUE_INPUT_BUTTON`
`static int` `NUM_PROBLEMS`
`static int` `REDUNDANT_ALT`
`static int` `SEPARATE_DBCS_ALT_AREA`
`static int` `SEPARATE_DBCS_ALT_IMG`
`static int` `SEPARATE_DBCS_ALT_INPUT`
`static int` `SEPARATE_DBCS_INPUT_VALUE`
`static int` `TOO_LESS_STRUCTURE`
`static int` `TOOFAR_SKIPTOMAIN_LINK`
`static int` `WRONG_ALT_AREA`
`static int` `WRONG_ALT_IMG`
`static int` `WRONG_ALT_INPUT`
`static int` `WRONG_NBSP_ALT_IMG`
`static int` `WRONG_SKIP_LINK_TEXT`
`static int` `WRONG_SKIP_LINK_TITLE`
`static int` `WRONG_TEXT`

### Fields inherited from interface org.eclipse.actf.visualization.eval.problem.IProblemItem

`SEV_ERROR, SEV_INFO, SEV_USER, SEV_WARNING`

### Method Summary

### Methods inherited from interface org.eclipse.actf.visualization.eval.problem.IProblemItem

`accept, getDescription, getEvaluationItem, getHighlightTargetIds, getHighlightTargetNodeInfo, getHighlightTargetSoruceInfo, getId, getLine, getLineStr, getLineStrMulti, getMetricsIcons, getMetricsScores, getSerialNumber, getSeverity, getSeverityStr, getSubType, getTableDataGuideline, getTargetNode, getTargetString, getTargetStringForExport, isCanHighlight, setCanHighlight, setDescription, setEvaluationItem, setHighlightTargetIds, setHighlightTargetIds, setHighlightTargetNodeInfo, setHighlightTargetSourceInfo, setHighlightTargetSourceInfo, setLine, setSerialNumber, setSubType, setTargetNode, setTargetString, setTargetStringForExport`

### Field Detail

#### NO_ALT_IMG

    static final int NO_ALT_IMG

See Also:
  Constant Field Values

#### NO_ALT_INPUT

    static final int NO_ALT_INPUT

See Also:
  Constant Field Values

#### NO_ALT_AREA

    static final int NO_ALT_AREA

See Also:
  Constant Field Values

#### WRONG_ALT_IMG

    static final int WRONG_ALT_IMG

See Also:
  Constant Field Values

#### WRONG_ALT_INPUT

    static final int WRONG_ALT_INPUT

See Also:
  Constant Field Values

#### WRONG_ALT_AREA

    static final int WRONG_ALT_AREA

See Also:
  Constant Field Values

#### NO_DEST_LINK

    static final int NO_DEST_LINK

See Also:
  Constant Field Values

#### REDUNDANT_ALT

    static final int REDUNDANT_ALT

See Also:
  Constant Field Values

#### NO_SKIPTOMAIN_LINK

    static final int NO_SKIPTOMAIN_LINK

See Also:
  Constant Field Values

#### TOO_LESS_STRUCTURE

    static final int TOO_LESS_STRUCTURE

See Also:
  Constant Field Values

#### NO_TEXT_INTRAPAGELINK

    static final int NO_TEXT_INTRAPAGELINK

See Also:
  Constant Field Values

#### WRONG_TEXT

    static final int WRONG_TEXT

See Also:
  Constant Field Values

#### NO_ID_INPUT

    static final int NO_ID_INPUT

See Also:
  Constant Field Values

#### TOOFAR_SKIPTOMAIN_LINK

    static final int TOOFAR_SKIPTOMAIN_LINK

See Also:
  Constant Field Values

#### NO_DEST_SKIP_LINK

    static final int NO_DEST_SKIP_LINK

See Also:
  Constant Field Values

#### WRONG_SKIP_LINK_TEXT

    static final int WRONG_SKIP_LINK_TEXT

See Also:
  Constant Field Values

#### NO_SKIPTOMAIN_WITH_STRUCTURE

    static final int NO_SKIPTOMAIN_WITH_STRUCTURE

See Also:
  Constant Field Values

#### ALERT_NO_SKIPTOMAIN_NO_STRUCTURE

    static final int ALERT_NO_SKIPTOMAIN_NO_STRUCTURE

See Also:
  Constant Field Values

#### LESS_STRUCTURE_WITH_SKIPLINK

    static final int LESS_STRUCTURE_WITH_SKIPLINK

See Also:
  Constant Field Values

#### LESS_STRUCTURE_WITH_HEADING

    static final int LESS_STRUCTURE_WITH_HEADING

See Also:
  Constant Field Values

#### LESS_STRUCTURE_WITH_BOTH

    static final int LESS_STRUCTURE_WITH_BOTH

See Also:
  Constant Field Values

#### NO_TEXT_WITH_TITLE_INTRAPAGELINK

    static final int NO_TEXT_WITH_TITLE_INTRAPAGELINK

See Also:
  Constant Field Values

#### WRONG_SKIP_LINK_TITLE

    static final int WRONG_SKIP_LINK_TITLE

See Also:
  Constant Field Values

#### ALERT_WRONG_ALT

    static final int ALERT_WRONG_ALT

See Also:
  Constant Field Values

#### ALERT_REDUNDANT_TEXT

    static final int ALERT_REDUNDANT_TEXT

See Also:
  Constant Field Values

#### SEPARATE_DBCS_ALT_IMG

    static final int SEPARATE_DBCS_ALT_IMG

See Also:
  Constant Field Values

#### SEPARATE_DBCS_ALT_INPUT

    static final int SEPARATE_DBCS_ALT_INPUT

See Also:
  Constant Field Values

#### SEPARATE_DBCS_ALT_AREA

    static final int SEPARATE_DBCS_ALT_AREA

See Also:
  Constant Field Values

#### ALERT_NO_DEST_INTRA_LINK

    static final int ALERT_NO_DEST_INTRA_LINK

See Also:
  Constant Field Values

#### ALERT_SPELL_OUT

    static final int ALERT_SPELL_OUT

See Also:
  Constant Field Values

#### INVISIBLE_INTRAPAGE_LINK

    static final int INVISIBLE_INTRAPAGE_LINK

See Also:
  Constant Field Values

#### NO_VALUE_INPUT_BUTTON

    static final int NO_VALUE_INPUT_BUTTON

See Also:
  Constant Field Values

#### SEPARATE_DBCS_INPUT_VALUE

    static final int SEPARATE_DBCS_INPUT_VALUE

See Also:
  Constant Field Values

#### WRONG_NBSP_ALT_IMG

    static final int WRONG_NBSP_ALT_IMG

See Also:
  Constant Field Values

#### NUM_PROBLEMS

    static final int NUM_PROBLEMS

See Also:
  Constant Field Values